export declare namespace Statisfy {
    interface StatisfyConfigInterface {
        /**
         * The directory to place the generated files in.
         */
        directory?: string;
        /**
         * An absolute URL pointing to the host to statisfy.
         */
        host: string;
        /**
         * An array of routes to statisfy.
         */
        routes: string[];
        /**
         * Use this to disable the sandbox setting of puppeteer. This can be useful when
         * encountering errors in a docker environment.
         * @default true
         */
        sandBox?: boolean;
        /**
         * The amount of times to try statisfying a page before continuing to the next.
         * @default 3
         */
        tries?: number;
        /**
         * Enable verbose mode.
         * @default true
         */
        verbose?: boolean;
    }
    function generateStaticHtml(config: StatisfyConfigInterface): void;
}
